## exclusion exclusion — Exclusion exclodes the colors in the video signal. |

## Synopsis

    struct              GstExclusion;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstExclusion

## Properties

      "silent"                   gboolean              : Read / Write
      "factor"                   guint                 : Read / Write

## Description

Exclusion saturates the colors of a video stream in realtime.

### Example launch line

    1
    gst-launch -v videotestsrc ! exclusion ! videoconvert ! autovideosink

This pipeline shows the effect of exclusion on a test stream

## Synopsis

### Element Information

plugin | gaudieffects
author | Luis de Bethencourt <luis@debethencourt.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstExclusion

    struct GstExclusion;

## Property Details

### The `"silent"` property

      "silent"                   gboolean              : Read / Write

Produce verbose output ?.

Default value: FALSE

### The `"factor"` property

      "factor"                   guint                 : Read / Write

Exclusion factor parameter.

Allowed values: <= 175

Default value: 175